TabView[{"knowledge" -> 
   Pane[Row[{Theorema`Interface`GUI`Private`FORM[
       {{"ID:979757495", "Source:/home/amaletzk/Theorema Notebooks/Reduction \
Ring Theory/ReductionRings.nb"}, "algorithmic reduction ring"}], 
      Theorema`Interface`GUI`Private`FORM[{{"ID:727194704", "Source:/home/ama\
letzk/Theorema Notebooks/Reduction Ring Theory/IntegerQuotientRings.nb"}, 
        "isReductionRing \[ScriptCapitalZ]n"}], 
      Theorema`Interface`GUI`Private`FORM[{{"ID:1376076253", "Source:/home/am\
aletzk/Theorema Notebooks/Reduction Ring Theory/IntegerQuotientRings.nb"}, 
        "R9 \[ScriptCapitalZ]n"}], Theorema`Interface`GUI`Private`FORM[
       {{"ID:125450892", "Source:/home/amaletzk/Theorema Notebooks/Reduction \
Ring Theory/IntegerQuotientRings.nb"}, "R10 \[ScriptCapitalZ]n"}], 
      Theorema`Interface`GUI`Private`FORM[{{"ID:189921319", "Source:/home/ama\
letzk/Theorema Notebooks/Reduction Ring Theory/IntegerQuotientRings.nb"}, 
        "R11 \[ScriptCapitalZ]n"}], Theorema`Interface`GUI`Private`FORM[
       {{"ID:667306596", "Source:/home/amaletzk/Theorema Notebooks/Reduction \
Ring Theory/IntegerQuotientRings.nb"}, "R12 \[ScriptCapitalZ]n"}], 
      Theorema`Interface`GUI`Private`FORM[{{"ID:194342088", "Source:/home/ama\
letzk/Theorema Notebooks/Reduction Ring Theory/IntegerQuotientRings.nb"}, 
        "R13 \[ScriptCapitalZ]n"}]}, ", "], 500], 
  "built-in" -> Column[{Style["Sets", "ComponentEmpty"], 
     Style["Tuples", "ComponentEmpty"], OpenerView[
      {"Arithmetic", Column[{Row[{"\[Checkmark] ", Style["Equal", 
            "ComponentActive"]}], Row[{Style["Plus", "ComponentInactive"], 
           ",", Style["Minus", "ComponentInactive"], ",", 
           Style["Times", "ComponentInactive"], ",", Style["MultInverse", 
            "ComponentInactive"], ",", Style["Power", "ComponentInactive"], 
           ",", Style["Radical", "ComponentInactive"], ",", 
           Style["Factorial", "ComponentInactive"], ",", Style["Less", 
            "ComponentInactive"], ",", Style["LessEqual", 
            "ComponentInactive"], ",", Style["Greater", "ComponentInactive"], 
           ",", Style["GreaterEqual", "ComponentInactive"], ",", 
           Style["AbsValue", "ComponentInactive"], ",", Style["SumOf", 
            "ComponentInactive"], ",", Style["ProductOf", 
            "ComponentInactive"]}]}]}, True], 
     OpenerView[{"Logic", Column[{Row[{"\[Checkmark] ", Style["Not", 
            "ComponentActive"], ",", Style["And", "ComponentActive"], ",", 
           Style["Or", "ComponentActive"], ",", Style["Implies", 
            "ComponentActive"], ",", Style["Iff", "ComponentActive"], ",", 
           Style["Nand", "ComponentActive"], ",", Style["Nor", 
            "ComponentActive"], ",", Style["Xor", "ComponentActive"], ",", 
           Style["Xnor", "ComponentActive"], ",", Style["Equal", 
            "ComponentActive"]}], Row[{Style["Forall", "ComponentInactive"], 
           ",", Style["Exists", "ComponentInactive"], ",", 
           Style["Let", "ComponentInactive"], ",", Style["Componentwise", 
            "ComponentInactive"], ",", Style["Such", "ComponentInactive"], 
           ",", Style["SuchUnique", "ComponentInactive"]}]}]}, True], 
     Style["Domains", "ComponentEmpty"], Style["Programming", 
      "ComponentEmpty"]}], "prover" -> 
   TabView[{"Selected Rules" -> 
      Pane[Column[{Style[Row[{"(1)", Spacer[2], Tooltip["\:270d", "Specifies, \
whether the proof text for the rule will be activated. (ruleTextActive)"], 
            Spacer[5], "Knowledge base contains contradicting formulae"}], 
          LineBreakWithin -> False], Style[Row[{"(1)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], "The proof goal is True"}], 
          LineBreakWithin -> False], Style[Row[{"(1)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Knowledge base contains a formula False"}], LineBreakWithin -> 
           False], Style[Row[{"(1)", Spacer[2], Tooltip["\:270d", "Specifies, \
whether the proof text for the rule will be activated. (ruleTextActive)"], 
            Spacer[5], "Knowledge base contains the proof goal"}], 
          LineBreakWithin -> False], Style[Row[{"(2)", Spacer[2], 
            Tooltip["\:2751", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Generate rewrite rules from initial proof situation"}], 
          LineBreakWithin -> False], Style[Row[{"(4)", Spacer[2], 
            Tooltip["\:2751", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Split conjunctions in the knowledge base"}], 
          LineBreakWithin -> False], Style[Row[{"(10)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Prove implication directly"}], LineBreakWithin -> False], 
         Style[Row[{"(16)", Spacer[2], Tooltip["\:270d", "Specifies, whether \
the proof text for the rule will be activated. (ruleTextActive)"], Spacer[5], 
            "Prove disjunction by proving last disjunct"}], 
          LineBreakWithin -> False], Style[Row[{"(19)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Skolemize existentially quantified formula in the knowledge \
base"}], LineBreakWithin -> False], Style[Row[{"(19)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Prove universally quantified goal"}], LineBreakWithin -> False], 
         Style[Row[{"(40)", Spacer[2], Tooltip["\:270d", "Specifies, whether \
the proof text for the rule will be activated. (ruleTextActive)"], Spacer[5], 
            "Prove negated equalitiy/equivalence by contradiction"}], 
          LineBreakWithin -> False], Style[Row[{"(41)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Prove equivalence by double implication"}], LineBreakWithin -> 
           False], Style[Row[{"(42)", Spacer[2], Tooltip["\:270d", "Specifies\
, whether the proof text for the rule will be activated. (ruleTextActive)"], 
            Spacer[5], "Prove equality in commutative rings with unit"}], 
          LineBreakWithin -> False], Style[Row[{"(42)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Prove membership in commutative rings with unit"}], 
          LineBreakWithin -> False], Style[Row[{"(44)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Goal rewriting based on formulae in the knowledge base"}], 
          LineBreakWithin -> False], Style[Row[{"(70)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Simplify implications by splitting disjunctions in the premise"}]\
, LineBreakWithin -> False], Style[Row[{"(71)", Spacer[2], Tooltip["\:270d", 
             "Specifies, whether the proof text for the rule will be \
activated. (ruleTextActive)"], Spacer[5], "Modus ponens and modus tollens"}], 
          LineBreakWithin -> False], Style[Row[{"(80)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Simplify negated assumptions"}], LineBreakWithin -> False], 
         Style[Row[{"(85)", Spacer[2], Tooltip["\:270d", "Specifies, whether \
the proof text for the rule will be activated. (ruleTextActive)"], Spacer[5], 
            "Split conjunction in the goal"}], LineBreakWithin -> False], 
         Style[Row[{"(91)", Spacer[2], Tooltip["\:270d", "Specifies, whether \
the proof text for the rule will be activated. (ruleTextActive)"], Spacer[5], 
            "Case distinction based on a disjunction in the knowledge base"}]\
, LineBreakWithin -> False], Style[Row[{"(94)", Spacer[2], Tooltip["\:270d", 
             "Specifies, whether the proof text for the rule will be \
activated. (ruleTextActive)"], Spacer[5], 
            "Eliminate implicitly defined terms"}], LineBreakWithin -> 
           False], Style[Row[{"(95)", Spacer[2], Tooltip["\:270d", "Specifies\
, whether the proof text for the rule will be activated. (ruleTextActive)"], 
            Spacer[5], "Simplify/expand piecewise expressions"}], 
          LineBreakWithin -> False], Style[Row[{"(97)", Spacer[2], 
            Tooltip["\:270d", "Specifies, whether the proof text for the rule \
will be activated. (ruleTextActive)"], Spacer[5], 
            "Expand explicit definitions"}], LineBreakWithin -> False]}], 
       ImageSize -> {360, 200}, Scrollbars -> {False, True}], 
     "Proof Strategy" -> "Apply once + Level saturation", 
     "Proof Search Limits" -> Column[{Labeled[200, "Search Depth:", Left], 
        Labeled[Infinity, "Search Time:", Left]}], "Proof Simplification" -> 
      Column[{"Eliminate failing/pending branches", Null, Null}], 
     "Interactive Proving" -> Column[{Null, Null, Null}], 
     "Proof Cells" -> "automatic", "statistics" -> 
      Column[{Labeled[1.2948023`7.262718460014812, 
         "Time spent for finding the proof:", Left], 
        Labeled[0``7.1505149978319915, 
         "Time spent for simplifying the proof:", Left], 
        Labeled["Thursday, 2015-12-17, 16:38:44", "Date:", Left]}]}, 
    AutoAction -> True, ControlPlacement -> Left], 
  "Restore settings" -> Row[{"Really restore all relevant settings to the \
values they had when this action was performed last time?", 
     Button["OK", Theorema`Interface`GUI`Private`setProveEnv["/home/amaletzk/\
Theorema Notebooks/Reduction Ring Theory/IntegerQuotientRings/p403270264-1.m"]\
]}, Spacer[5]]}, ImageSize -> Automatic]
